Package io.vertx.openapi.contract

## Class OpenAPIContractException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.openapi.contract.OpenAPIContractException

- All Implemented Interfaces:
    `Serializable`

      public class OpenAPIContractException
      extends RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OpenAPIContractException​(String message, ContractErrorType type, Throwable cause)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OpenAPIContractException` | `createInvalidContract​(String reason)` |
    `static OpenAPIContractException` | `createInvalidContract​(String reason, Throwable cause)` |
    `static OpenAPIContractException` | `createInvalidStyle​(Location in, String allowedStyles)` |
    `static OpenAPIContractException` | `createUnsupportedFeature​(String feature)` |
    `static OpenAPIContractException` | `createUnsupportedVersion​(String version)` |
    `ContractErrorType` | `type()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenAPIContractException

          public OpenAPIContractException​(String message,
                                          ContractErrorType type,
                                          Throwable cause)

  - ### Method Detail

    - #### createInvalidContract

          public static OpenAPIContractException createInvalidContract​(String reason)

    - #### createInvalidContract

          public static OpenAPIContractException createInvalidContract​(String reason,
                                                                       Throwable cause)

    - #### createUnsupportedVersion

          public static OpenAPIContractException createUnsupportedVersion​(String version)

    - #### createUnsupportedFeature

          public static OpenAPIContractException createUnsupportedFeature​(String feature)

    - #### createInvalidStyle

          public static OpenAPIContractException createInvalidStyle​(Location in,
                                                                    String allowedStyles)

    - #### type

          public ContractErrorType type()